## hurd 0.9.git20220301

=== debian/changelog ===
hurd (1:0.9.git20220301-1) unstable; urgency=medium

  * New upstream snapshot.
    - Makes rumpdisk multithreaded.
    - patches/git-mount-noauto: Upstreamed.
    - patches/git-libmachdev-shutdown-notify: Upstreamed.
    - patches/git-BLKRRPART: Upstreamed.
    - patches/git-mtab-part: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Mar 2022 01:11:41 +0000

hurd (1:0.9.git20220218-4) unstable; urgency=medium

  * patches/git-BLKRRPART: Fix BLKRRPART call in rumpdisk.
  * patches/git-mtab-part: Fix mtab reporting part:x:device:y.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Feb 2022 00:07:24 +0000

hurd (1:0.9.git20220218-3) unstable; urgency=medium

  * patches/git-libmachdev-shutdown-notify: Register translator for shutdown
    notification.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Feb 2022 22:59:53 +0000

hurd (1:0.9.git20220218-2) unstable; urgency=medium

  * patches/mount-noauto: Fix mount with "noauto" as only option.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Feb 2022 00:06:36 +0000
