## hurd 0.9.git20221224

=== debian/changelog ===
hurd (1:0.9.git20221224-1) unstable; urgency=medium

  * New upstream snapshot.
    - git-piixide: Upstreamed.
    - git-mount-procfs: Upstreamed.
    - git-acpica-bootstrap.patch: Upstreamed.
    - git-libps-leak: Upstreamed.
    - git-rump-bootstrap.patch: Upstreamed.
    - git-mach-defpager-essential: Upstreamed.
    - git-mach-essential: Upstreamed.
    - git-mach-defpager-panic-backtrace: Upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 24 Dec 2022 15:50:10 +0000

hurd (1:0.9.git20220925-9) unstable; urgency=medium

  * patches/git-mach-defpager-panic-backtrace: Make mach-defpager
    assert_backtrace() on panic.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Dec 2022 10:26:50 +0000

hurd (1:0.9.git20220925-8) unstable; urgency=medium

  * patches/git-mach-defpager-essential: Mark mach-defpager as essential.
  * patches/git-mach-essential: Make essential tasks essential in mach.
    - debian/control: Bump gnumach-dev dependency accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 03 Dec 2022 19:32:50 +0000

hurd (1:0.9.git20220925-7) unstable; urgency=medium

  * local/runsystem: Stop using linuxrc, runsystem is now running as pid 1 as
    expected.
  * patches/git-libps-leak: Fix memleak in libps.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 05 Nov 2022 19:12:13 +0000

hurd (1:0.9.git20220925-6) unstable; urgency=medium

  * control, rules: Drop prof build in stage2.
  * hurd.install.in: Do not install nfsd in stage2.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Oct 2022 16:58:28 +0000

hurd (1:0.9.git20220925-5) unstable; urgency=medium

  * patches/git-rump-bootstrap.patch: Add --without-rump configure option.
  * rules: Use --without-rump in stage1 and stage2.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Oct 2022 12:43:21 +0000

hurd (1:0.9.git20220925-4) unstable; urgency=medium

  * patches/git-acpica-bootstrap.patch: Add --without-acpica configure option.
  * rules: Use --without-acpica in stage1 and stage2.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Oct 2022 10:26:30 +0000

hurd (1:0.9.git20220925-3) unstable; urgency=medium

  * patches/git-mount-procfs: Fix grub mounting procfs with procfs
    pseudo-device.
  * hurd.preinst: Fix checking version that introduced the dpkg diversion.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Oct 2022 00:16:09 +0000

hurd (1:0.9.git20220925-2) unstable; urgency=medium

  * control: Bump rump build-dep version, add libacpica-dev build-dep.
  * rules: Move /bin/gcore to /usr/bin/gcore.
  * hurd.install.in: Update installing gcore.
  * hurd.preinst: Set a diversion for gdb's gcore, to let hurd's gcore
    override it.
  * hurd.postrm: Drop gcore diversion.
  * control: Make hurd break usrmerge before 33 to avoid bug #1020463,
    now that we got rid of the gcore conflict and usrmerge will actually try to
    merge.
  * hurd.preinst: Prevent installation if gnumach doesn't have the FPU context
    switch fix, to avoid installing a hurd package which needs a libc that
    triggers the issue.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2022 17:56:30 +0000

hurd (1:0.9.git20220925-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/git-signal: Upstreamed.
    - patches/git-lwip-routes: Upstreamed.
    - patches/git-vm_size_t: Upstreamed.
    - patches/git-piixide: Link in PIIX IDE driver and ATA common code.
    - patches/machdev_trivfs_server: Fix starting the existing netdde
    translator.

  * local/runsystem: Require at least 300M to start d-i.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Sep 2022 00:14:46 +0000

hurd (1:0.9.git20220830-2) unstable; urgency=medium

  * control: Use sysvinit-utils (>= 3.05-1) as alternative for lsb-base to get
    the init functions.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 10 Sep 2022 20:19:29 +0000

hurd (1:0.9.git20220830-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/git-fix-fakeroot-EINTR: Upstreamed.
    - patches/git-homogeneize-gratuitous: Upstreamed.
    - patches/git-term-reset: Upstreamed.
    - patches/git-signal: Missing fix.
    - patches/git-lwip-routes: Complete lwip stubs for routes.
    - patches/git-vm_size_t: Complete vm_size_t fixes.

  * control: Now that more is no more in util-linux, pull less so that we have
    a pager.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Aug 2022 22:49:35 +0000

hurd (1:0.9.git20220818-3) unstable; urgency=medium

  * patches/workaround-glibc-2.34: Drop patch, issue fixed by
    fix-fakeroot-EINTR.
  * hurd.install.in: Install bless.
  * patches/fix-fakeroot-EINTR: rename to patches/git-fix-fakeroot-EINTR.
  * patches/git-homogeneize-gratuitous: Homogeneize adding the gratuitous send
    right.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Aug 2022 10:37:24 +0000

hurd (1:0.9.git20220818-2) unstable; urgency=medium

  * patches/git-term-reset: Fix terminal reset at end of session.
  * patches/fix-fakeroot-EINTR: Fix spurious EINTR while exec() within
    fakeroot.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Aug 2022 02:03:39 +0000

hurd (1:0.9.git20220818-1) unstable; urgency=medium

  * New upstream snapshot.
    - debian/patches/0001-fatfs-Properly-reference-pager.patch: Upstreamed.
    - debian/patches/0002-isofs-Assert-we-re-only-supposed-to-provide-a-read-o.patch:
    Upstreamed.
    - debian/patches/0003-libpager-Add-pager_get_ro_port.patch: Upstreamed.
    - debian/patches/0004-ext2fs-Return-read-only-memory-objects-when-appropri.patch:
    Upstreamed.
    - debian/patches/0005-fatfs-Return-read-only-memory-objects-when-appropria.patch:
    Upstreamed.
    - debian/patches/0006-tmpfs-Return-read-only-memory-objects-when-appropria.patch:
    Upstreamed.
    - debian/patches/0009-Do-not-use-ports_get_right-for-send-one-rights.patch:
    Upstreamed.
    - debian/patches/0010-proc-Drop-some-mach_port_destroy-uses.patch:
    Upstreamed.

